[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Building guile 1.8.6 on Tru64 5.1b

From: Mike Gran
Subject: Re: Building guile 1.8.6 on Tru64 5.1b
Date: Sat, 25 Apr 2009 06:24:15 -0700

On Sat, 2009-04-25 at 14:29 +0200, Didier Godefroy wrote:
> >
> I simply removed that @LTLIBINTL@ from that Makefile and re-ran the make to
> allow the build to be successful then I ran the tests, and the numbers.test
> does fail. However I still went ahead with the install, hoping it wouldn't
> bother my build of autogen. I tried with autogen 5.5.7 and now 5.9.7 and get
> the same errors of unresolved symbols scm_makstr and gh_eval_str which seem
> to be guile related. I couldn't find anything useful to fix this while
> googling, so I'm back to the guile list.

Hi Didier,

Those two functions do exist in Guile 1.8.6, but, they may not get built
in if you configured with the --disable-deprecated option. 

So, if you've been building guile with ./configure --disable-deprecated,
then that is your problem.  If that isn't it, then you could try
explicitly enabling them by using ./configure --enable-deprecated.

Mike Gran

reply via email to

[Prev in Thread] Current Thread [Next in Thread]